﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Management;

namespace BIOSVersion
{
    public partial class frmBIOSInfo : Form
    {
        public frmBIOSInfo()
        {
            InitializeComponent();
        }

        private void btnBIOSInfo_Click(object sender, EventArgs e)
        {
            ManagementObjectSearcher mos = new ManagementObjectSearcher("SELECT * FROM Win32_BIOS");

            ManagementObjectCollection moc = mos.Get();
            
            StringBuilder sb = new StringBuilder();

            foreach (ManagementObject mo in moc)
            {

                string[] BIOSVersions = (string[])mo["BIOSVersion"];

                foreach (string version in BIOSVersions)
                {
                    sb.AppendLine(string.Format("BIOSVersion: {0}", version));
                }

                sb.AppendLine(string.Format("BuildNumber: {0}", (string)mo["BuildNumber"]));
                sb.AppendLine(string.Format("Caption: {0}", (string)mo["Caption"]));
                sb.AppendLine(string.Format("CodeSet: {0}", (string)mo["CodeSet"]));
                sb.AppendLine(string.Format("CurrentLanguage: {0}", (string)mo["CurrentLanguage"]));
                sb.AppendLine(string.Format("Description: {0}", (string)mo["Description"]));
                sb.AppendLine(string.Format("IdentificationCode: {0}", (string)mo["IdentificationCode"]));
                sb.AppendLine(string.Format("InstallableLanguages: {0}", Convert.ToUInt16(mo["InstallableLanguages"]).ToString()));
                sb.AppendLine(string.Format("InstallDate: {0}", Convert.ToDateTime(mo["InstallDate"]).ToString()));
                sb.AppendLine(string.Format("LanguageEdition: {0}", (string)mo["LanguageEdition"]));
                sb.AppendLine(string.Format("Manufacturer : {0}", (string)mo["Manufacturer"]));
            }
            MessageBox.Show(sb.ToString());
        }
    }
}
